customersUpdate Customer

Update Customer

Update a customer's editable fields; new verification material rides the same PATCH.

curl -X PATCH "https://sandbox.rasto.co/api/customers/example_string" \
  -H "Content-Type: application/json" \
  -H "Api-Key: example_string" \
  -H "Api-Version: example_string" \
  -H "Api-Key: YOUR_API_KEY" \
  -d '{
  "tax_id": "example_string",
  "tax_residence_country": "USA",
  "employment_status": "employed",
  "occupation": "example_string",
  "source_of_funds": [
    "company_funds"
  ],
  "account_purpose": [
    "charitable_donations"
  ],
  "expected_monthly_volume_usd": "under_5k",
  "account_purpose_other": "example_string",
  "source_of_funds_description": "example_string",
  "source_of_wealth": [
    "affiliate_or_royalty_income"
  ],
  "source_of_wealth_description": "example_string",
  "estimated_annual_revenue_usd": 99999,
  "expected_monthly_payments_usd": 42,
  "ownership_structure": "bearer_shares_or_undisclosed_nominee_arrangement",
  "is_politically_exposed": true,
  "is_us_tax_person": true,
  "is_us_citizen": true,
  "is_funds_owner": true,
  "annual_income": "example_string",
  "monthly_transaction_count": "example_string",
  "activities": [
    "example_string"
  ],
  "first_name": "John Doe",
  "middle_name": "John Doe",
  "last_name": "John Doe",
  "email": "user@example.com",
  "phone": "+1-555-0123",
  "date_of_birth": "2024-12-25",
  "nationality": "example_string",
  "residence_country": "USA",
  "incorporation_date": "2024-12-25",
  "id_document": {
    "kind": "passport",
    "number": "example_string"
  },
  "legal_name": "John Doe",
  "trade_name": "John Doe",
  "business_description": "example_string",
  "business_kind": "cooperative",
  "business_industry": [
    "example_string"
  ],
  "registration_number": "example_string",
  "vat_number": "example_string",
  "website": "example_string",
  "address": {
    "street_line_1": "example_string",
    "street_line_2": "example_string",
    "postal_code": "example_string",
    "city": "New York",
    "country": "USA",
    "state": "example_string"
  },
  "physical_address": {
    "street_line_1": "example_string",
    "street_line_2": "example_string",
    "postal_code": "example_string",
    "city": "New York",
    "country": "USA",
    "state": "example_string"
  },
  "controllers": [
    {
      "first_name": "John Doe",
      "middle_name": "John Doe",
      "last_name": "John Doe",
      "date_of_birth": "2024-12-25",
      "nationality": "example_string",
      "address": {
        "street_line_1": "example_string",
        "street_line_2": "example_string",
        "postal_code": "example_string",
        "city": "New York",
        "country": "USA",
        "state": "example_string"
      },
      "phone": "+1-555-0123",
      "email": "user@example.com",
      "id": "example_string",
      "has_ownership": true,
      "ownership_percentage": 3.14,
      "has_control": true,
      "is_signer": true,
      "is_director": true,
      "role": "example_string",
      "id_document": {
        "kind": "passport",
        "number": "example_string"
      },
      "tax_id": "example_string",
      "tax_residence_country": "USA",
      "identifying_information": [
        {
          "kind": "passport",
          "issuing_country": "USA",
          "number": "example_string",
          "image_front": "example_string",
          "image_back": "example_string"
        }
      ],
      "documents": [
        {
          "purpose": "selfie",
          "file": "example_string"
        }
      ]
    }
  ],
  "identifying_information": [
    {
      "kind": "passport",
      "issuing_country": "USA",
      "number": "example_string",
      "image_front": "example_string",
      "image_back": "example_string"
    }
  ],
  "documents": [
    {
      "purpose": "selfie",
      "file": "example_string"
    }
  ],
  "endorsements": [
    "example_string"
  ],
  "tos_acceptance": {
    "ip_address": "123 Main St"
  }
}'
{}
PATCH
/api/customers/{customer_id}
PATCH
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: Api-Key)
Api-Keystring
Required

API key (sent in header)

Content-Typestring
Required

The media type of the request body

Options: application/json
header
Api-Versionstring

The /api contract to serve this request under, as an ISO date. Omit to use the default. Omitting it always keeps today's behaviour, so a future breaking change cannot move you. Supported: 2026-08-01.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Api-Keystring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

Headers

Api-Versionstring

The /api contract to serve this request under, as an ISO date. Omit to use the default. Omitting it always keeps today's behaviour, so a future breaking change cannot move you. Supported: 2026-08-01.

Responses

Successful Response